///	PluginOrganiser.h - The main workspace of the program.
///	--------------------------------------------------------------------------
///	This file is part of 'Niall's Pedal Board', a simple ASIO VST host.
///	Copyright (C) 2005  Niall Moody
///	
///	This program is free software; you can redistribute it and/or modify
///	it under the terms of the GNU General Public License as published by
///	the Free Software Foundation; either version 2 of the License, or
///	(at your option) any later version.
///	
///	This program is distributed in the hope that it will be useful,
///	but WITHOUT ANY WARRANTY; without even the implied warranty of
///	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
///	GNU General Public License for more details.
///	
///	You should have received a copy of the GNU General Public License
///	along with this program; if not, write to the Free Software
///	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
///	
///	--------------------------------------------------------------------------
///	
///	You can e-mail me at niallmoody@yahoo.co.uk if you want.
///	
///	--------------------------------------------------------------------------

#ifndef PLUGINORGANISER_H_
#define PLUGINORGANISER_H_

#include "../FactoryObject.h"

///	FactoryObject for the plugin Organiser.
class PluginOrganiser : public FactoryObject
{
  public:
	PluginOrganiser(ComponentFactory *factory, Component **windowComponent);
	~PluginOrganiser() {};

	void create();

	static void setBackColourRed(int val);
	static void setBackColourGreen(int val);
	static void setBackColourBlue(int val);
	static void setPlugColourRed(int val);
	static void setPlugColourGreen(int val);
	static void setPlugColourBlue(int val);
	static void setPlugButtonColourRed(int val);
	static void setPlugButtonColourGreen(int val);
	static void setPlugButtonColourBlue(int val);
  private:
	static int backRed;
	static int backGreen;
	static int backBlue;
	static int plugRed;
	static int plugGreen;
	static int plugBlue;
	static int plugButtonRed;
	static int plugButtonGreen;
	static int plugButtonBlue;
};

#endif
